# Learn Request Queue
An app to manage requests for music performance streamers to learn new songs.

## Bootstrapping a Development Environment

1. Populate .env with:

        URL_PREFIX=http://localhost

        PGHOST=db
        PGDATABASE=postgres
        PGUSER=postgres

        TWITCH_CLIENTID=Client ID from dev.twitch.tv
        TWITCH_SECRET=Client Secret from dev.twitch.tv
        SESSION_SECRET=Randomly generated secret

2. `docker-compose up` (optionally with `-d`)
3. `docker exec -i learn-request-queue-db /usr/bin/psql -U postgres < db/testdata.sql`
