if (!process.env.PORT) {
	console.log("Missing environment variable PORT");
	process.exit(1);
}
export const port: number = parseInt(process.env.PORT as string, 10);

if (!process.env.URL_PREFIX) {
	console.log("Missing environment variable URL_PREFIX");
	process.exit(1);
}
export const urlPrefix: string = process.env.URL_PREFIX;

if (!process.env.TWITCH_CLIENTID) {
	console.log("Missing environment variable TWITCH_CLIENTID");
	process.exit(1);
}
export const twitchClientId: string = process.env.TWITCH_CLIENTID;

if (!process.env.TWITCH_SECRET) {
	console.log("Missing environment variable TWITCH_SECRET");
	process.exit(1);
}
export const twitchSecret: string = process.env.TWITCH_SECRET;

if (!process.env.SESSION_SECRET) {
	console.log("Missing environment variable SESSION_SECRET");
	process.exit(1);
}
export const sessionSecret: string = process.env.SESSION_SECRET;
